Package org.opensaml.xmlsec.signature.support.impl.provider

# Class ApacheSantuarioSignerProviderImpl

java.lang.Object
org.opensaml.xmlsec.signature.support.impl.provider.ApacheSantuarioSignerProviderImpl

All Implemented Interfaces:
  `SignerProvider`

public class ApacheSantuarioSignerProviderImpl extends Object implements SignerProvider
Implementation of `SignerProvider` which is based on the Apache Santuario library and is used with `Signature` instances which are instances of `SignatureImpl`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`ApacheSantuarioSignerProviderImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`signObject(Signature signature)`
Signs a single XMLObject.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### ApacheSantuarioSignerProviderImpl

public ApacheSantuarioSignerProviderImpl()

## Method Details

### signObject

public void signObject(@Nonnull Signature signature) throws SignatureException
Signs a single XMLObject.

Specified by:
  `signObject` in interface `SignerProvider`
Parameters:
  `signature` - the signature to computer the signature on
Throws:
  `SignatureException` - thrown if there is an error computing the signature